//instantiate a TimelineMax    
var tl = new TimelineMax({repeat:1});

function init() {
tl.set('#cta', {scale:0.90});
tl.set('#cta', {autoAlpha:0, zIndex:-1});

tl.set(".usp", {x:-10, autoAlpha:0});

tl.set(".copy01", {x:-10, autoAlpha:0});
tl.set(".copy02", {x:-10, autoAlpha:0});

animation();
}

function animation() {
tl.to("#overlay", 0.8, {autoAlpha:0});
tl.from(".bg", 1.6, {scale:0.95, rotation: 0.001, transformOrigin:'0% 50%', ease:Linear.easeInOut}, "-=1.0");
tl.from('.hoek_donkergroen', 1.0, {autoAlpha:0, x:-$('.hoek_donkergroen').width()}, "-=0.5");

tl.to(".copy01", 0.5, {x:0, autoAlpha:1}, "-=0.0");
tl.to(".copy01", 0.5, {x:0, autoAlpha:0}, "+=1.5");

tl.to(".copy02", 0.5, {x:0, autoAlpha:1}, "-=0.0");
tl.staggerTo(".usp", 1, {x:0, autoAlpha:1}, 0.5, "-=0.00");

tl.to('#cta', 0.5, {autoAlpha:1, zIndex:998}, "-=2.0");

//animation of cta
tl.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%', delay:1.5});
tl.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%', delay:0.2});
tl.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%', delay:1.5});
tl.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%', delay:0.2});

tl.to('#cta', 0.1, {autoAlpha:1, delay:3});

addListeners();

}



function addListeners() {
	$( '#cta' ).hover(
	  function() {
        console.log("in");
	    TweenMax.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%'});
	  }, function() {
        console.log("uit");
	    TweenMax.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%'});   
	  }
	);
}

